Bug 1024294 - [rpc.mountd] should update the man page descriptions of -n|--no-tcp option
[rpc.mountd] should update the man page descriptions of -n|--no-tcp option
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: nfs-utils (Show other bugs)
7.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Steve Dickson
Red Hat Kernel QE team
:
Depends On:
Blocks: 1024296
  Show dependency treegraph
 
Reported: 2013-10-29 07:02 EDT by Yin.JianHong
Modified: 2016-11-18 05:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1024296 (view as bug list)
Environment:
Last Closed: 2013-11-11 12:46:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-10-29 07:02:43 EDT
Description of problem:
should update the man page descriptions of -n|--no-tcp option
follow is -n option's descriptions in man rpc.mountd;
       -n  or  --no-tcp
              Don't advertise TCP for mount.
But if not give -N 4, the rpc.mountd can not turn off the tcp port;
should update descriptions.

Version-Release number of selected component (if applicable):
all version in RHEL5 RHEL6 RHEL7

How reproducible:
100%

Steps to Reproduce:
1. man rpc.mountd
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Yin.JianHong 2016-11-18 05:41:00 EST
Additional info:

Now the problem of --no-tcp has been fixed on Upstream and RHEL-7.1 or later

fixed in upstream:
commit a80482157632584ee03df58ed1eef3cefd95bbcb
Author: Steve Dickson <steved@redhat.com>
Date:   Tue Nov 5 14:10:05 2013 -0500

    mountd: Use protocol bit fields to turn protocols off.
    
    Convert the current code to used the NFSCTL_XXX macros
    to turn off the TCP listener.
    
    Signed-off-by: Steve Dickson <steved@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.